import * as React from 'react';
import { Container, Menu, Dropdown, Segment, Icon, Header, Image } from 'semantic-ui-react';

import { LogoBar } from './LogoBar';
import { TitleBar } from './TitleBar';

export class LeftMenu extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };

    window.addEventListener('resize', () => {
      console.log(window);
    });
  }



  public render(): JSX.Element {
    return (
      <Menu fixed='left' inverted vertical borderless>
        <Menu.Item name='User'>
          <Header textAlign='center'>
            <Image src='http://glia.ca/scm/2013/ge1127_b/wp-content/uploads/2013/10/594partner-profile-pic-An.jpg'
              size='mini' shape='circular' href='/' />
          </Header>
        </Menu.Item>
        <Menu.Item name='Home' href='/' >
          <Header inverted sub icon='home' content='Home' />
        </Menu.Item>

        <Menu.Item>
          <Menu.Header name='Monitoring' >
            <Header inverted sub icon='bar graph' content='Monitoring' />
          </Menu.Header>
          <Menu.Menu>
            <Menu.Item href='#/probe_list' style={{ 'margin-left': '30px' }}>Probe</Menu.Item>
            <Menu.Item href='#/' style={{ 'margin-left': '30px' }}>Sensors</Menu.Item>
          </Menu.Menu>
        </Menu.Item>

        <Menu.Item>
          <Menu.Header name='Infrastructure' >
            <Header inverted sub icon='sitemap' content='Infrastructure' />
          </Menu.Header>
          <Menu.Menu>
            <Menu.Item href='/' style={{ 'margin-left': '30px' }}>Maps</Menu.Item>
            <Menu.Item href='#/target_list' style={{ 'margin-left': '30px' }}>Targets</Menu.Item>
          </Menu.Menu>
        </Menu.Item>

        <Menu.Item name='Dashboard' href='/' >
          <Header inverted sub icon='industry' content='Dashboard' />
        </Menu.Item>

        <Menu.Item name='Metrics' href='/'>
          <Header inverted sub icon='tasks' content='Metrics' />
        </Menu.Item>

        <Menu.Item name='Alerts' href='/' >
          <Header inverted sub icon='alarm' content='Alerts' />
        </Menu.Item>

        <Menu.Item name='History' href='/'>
          <Header inverted sub icon='book' content='History' />
        </Menu.Item>


        <Menu.Item name='Custom'>
          <Header inverted sub><Icon name='play circle' />
            <Header.Content>
              <Dropdown text='Custom'>
                <Dropdown.Menu>
                  <Dropdown.Header>Custom</Dropdown.Header>
                  <Dropdown.Item href='#/test2'> SignUp </Dropdown.Item>
                  <Dropdown.Item href='#/test3'>SignIn</Dropdown.Item>
                  <Dropdown.Item href='#/test4'> PWChange </Dropdown.Item>
                  <Dropdown.Item href='#/test5'>ProbeDown</Dropdown.Item>
                  <Dropdown.Item href='#/test14'> Insanity </Dropdown.Item>
                  <Dropdown.Item href='#/test6'>DiscoveryDetails</Dropdown.Item>
                  <Dropdown.Item href='#/test7'>Tree</Dropdown.Item>
                  <Dropdown.Item href='#/test8'>TableExampleSortable</Dropdown.Item>
                  <Dropdown.Item href='#/sensor_list'>SensorList</Dropdown.Item>
                </Dropdown.Menu>
              </Dropdown>
            </Header.Content>
          </Header>
        </Menu.Item>

        <Menu.Item name='Settings' href='/' >
          <Header inverted sub icon='setting' content='Settings' />
        </Menu.Item>
      </Menu>
    );
  }
}



